corda / net.corda.node.services / NotaryChange / Service

# Service

`class Service : SingletonSerializeAsToken`

A service that monitors the network for requests for changing the notary of a state, and immediately runs the NotaryChangeFlow if the auto-accept criteria are met.

### Constructors

<init> | `Service(services: PluginServiceHub)` A service that monitors the network for requests for changing the notary of a state, and immediately runs the NotaryChangeFlow if the auto-accept criteria are met.

### Inherited Functions

toToken | `open fun toToken(context: SerializeAsTokenContext): SerializationToken`